org.apache.poi.hssf.record

## Class DefaultColWidthRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.DefaultColWidthRecord

- All Implemented Interfaces:
    Duplicatable

      public final class DefaultColWidthRecord
      extends StandardRecord

  Specifies the default width for columns that have no specific width set.
  Version:
    2.0-pre

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_COLUMN_WIDTH` The default column width is 8 characters
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultColWidthRecord()`
    `DefaultColWidthRecord(DefaultColWidthRecord other)`
    `DefaultColWidthRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultColWidthRecord` | `clone()` Deprecated.
    `DefaultColWidthRecord` | `copy()`
    `int` | `getColWidth()` get the default column width
    `protected int` | `getDataSize()`
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setColWidth(int width)` set the default column width
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### DEFAULT_COLUMN_WIDTH

          public static final int DEFAULT_COLUMN_WIDTH

      The default column width is 8 characters
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultColWidthRecord

          public DefaultColWidthRecord()

    - #### DefaultColWidthRecord

          public DefaultColWidthRecord(DefaultColWidthRecord other)

    - #### DefaultColWidthRecord

          public DefaultColWidthRecord(RecordInputStream in)

  - ### Method Detail

    - #### setColWidth

          public void setColWidth(int width)

      set the default column width
      Parameters:
        `width` - defaultwidth for columns

    - #### getColWidth

          public int getColWidth()

      get the default column width
      Returns:
        defaultwidth for columns

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public DefaultColWidthRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public DefaultColWidthRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.